package de.jottyfan.quickiemod.block;

import net.minecraft.block.AbstractBlock;
import net.minecraft.block.Block;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.util.Identifier;

/**
 *
 * @author jotty
 *
 */
public abstract class AbstractIdentifiedBlock extends Block {

	public AbstractIdentifiedBlock(Identifier identifier) {
		super(AbstractBlock.Settings.create().registryKey(RegistryKey.of(RegistryKeys.BLOCK, identifier)));
	}

	public AbstractIdentifiedBlock(Identifier identifier, float strength, float hardness) {
		super(AbstractBlock.Settings.create().strength(strength).hardness(hardness).requiresTool()
				.registryKey(RegistryKey.of(RegistryKeys.BLOCK, identifier)));
	}

}
